Bug 134301 - default modes do not fit what's recommended for display
default modes do not fit what's recommended for display
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 01:26 EDT by Alexei Podtelezhnikov
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 16:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexei Podtelezhnikov 2004-10-01 01:26:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Xorg probes display modes from the highest refresh modes to the lowest
for a given resolution. Hence, the highest allowed refresh rate is
chosen as the default. My displays, Dell 1703FP, actually prefers a
lower 1280x1024@60Hz mode instead of the allowed 1280x1026@75Hz.
The bug is that my display actually _REPORTS_ the preferable rate,
while Xorg ignores it. For example, read-edid-1.4.1 gets it right. Is
Xorg just arrogant?

Let me know what more information you need. Logs? Configs? I filed bug
143200 for system-config-display which already explained quite a bit
of what's happening.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get Dell 1703FP
2. config it properly fo the recommended 1280x1024@60Hz
3. good luck overriding Xorgś default mode ordering
    

Additional info:
Comment 1 Søren Sandmann Pedersen 2004-10-06 15:37:03 EDT
The system-config-display bug is actually bug 134200
Comment 2 Søren Sandmann Pedersen 2004-10-06 16:10:51 EDT
This feature needs to be implemented in the upstream project. Please
file a bug report in the X.Org bugzilla located at
http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.
Comment 3 Alexei Podtelezhnikov 2004-10-19 00:49:54 EDT
http://freedesktop.org/bugzilla/show_bug.cgi?id=1669 
Comment 4 Mike A. Harris 2004-10-19 16:09:10 EDT
Thanks, we will track this bug in the upstream bug tracker now.

Setting status to "UPSTREAM"

Note You need to log in before you can comment on or make changes to this bug.